Subject: bug#27736: OSX 10.6.8: Building from master branch fails.

From: [email-masked] (Charles A. Roelli)
Date: Tue, 07 Nov 2017 21:20:39 +0100

> Date:  Mon, 06 Nov 2017 18:13:28 -0800
> From:  Keith David Bershatsky <[email-masked]>
> 
> Thank you Charles for working on this issue.  I was able to byte-compile org-timer.el successfully by using the following inside of org-clock.el at the same location you indicated:
> 
>   (or
>     (<= m -1034058203136)
>     (<= m -1034058203135))
> 
> I tried a few times with just (<= m -1034058203135), and it was not enough -- i.e., I was unable to byte-compile using only (<= m -1034058203135).
> 
> Keith

That's odd.  Compiling worked fine for me on any timezone with:

  rm -f lisp/org/org-{clock,timer}.elc && make

Can you try again, and if it still does not work, show a backtrace as
before using just (<= m -1034058203135)?  Thanks for your patience.